<%
' Use this line when using the full version of PDFBuilderASP...
' Set objPDF = Server.CreateObject("PDFBuilderASP.PDFSvrDoc")

' ...or this line when using the trial version of PDFBuilderASP
Set objPDF = Server.CreateObject("PDFBuilderASPTrial.PDFSvrDoc")

' Configure the page size, the units of measure and add a single page to the document
objPDF.DefaultPageSize = 1   ' A4 Portrait
objPDF.Units = 3   ' Millimetres
objPDF.AddPage 1

' Open a connection to the database
Set DBconn = Server.CreateObject("ADODB.Connection")
DBconn.Provider = "Microsoft.Jet.OLEDB.4.0"
' ** EDIT THIS LINE ** to reference the location of the database
DBconn.Open "C:\Inetpub\wwwroot\Data.mdb"

' Open the table "Sales" as a record set
Set Records = Server.CreateObject("ADODB.recordset")
Records.Open "Sales", DBconn

' ** EDIT THIS LINE ** if a different font file is to be used
Font1 = objPDF.AddFont(Server.MapPath("arial.ttf"))

' Loop through each record in the table and write the names and amounts as separate text blocks
N = 0   ' N counts the records
MaxW1 = 0   ' MaxW1 records the maximum width of text when writing the customer names
MaxW2 = 0   ' MaxW2 records the maximum width of text when writing the amounts
Records.MoveFirst
Do While not Records.EOF
  N = N + 1
  TextBlock = objPDF.CreateText
  objPDF.TextFont = Font1
  objPDF.WriteText Records.Fields("Customer").Value
  W1 = objPDF.TextBlockWidth
  If W1 > MaxW1 Then MaxW1 = W1
  TextBlock = objPDF.CreateText
  objPDF.TextFont = Font1
  objPDF.TextAlign = 2   ' Right justify the amounts 
  objPDF.WriteText "$" & FormatNumber(Records.Fields("Amount").Value, 2)
  W2 = objPDF.TextBlockWidth
  If W2 > MaxW2 Then MaxW2 = W2
  Records.MoveNext
Loop

' Draw a table based on the MaxW1 and MaxW2 values
GraphicBlock = objPDF.CreateGraphic
objPDF.LineColor = &H999999&
'  First draw three vertical lines for the columns
X1 = 20.0
X2 = X1 + MaxW1 + 10.0
X3 = X2 + MaxW2 + 10.0
CellHeight = 7.0
objPDF.DrawLine X1, objPDF.PageHeight(1) - 40.0, X1, objPDF.PageHeight(1) - 40.0 - (CellHeight * N) 
objPDF.DrawLine X2, objPDF.PageHeight(1) - 40.0, X2, objPDF.PageHeight(1) - 40.0 - (CellHeight * N) 
objPDF.DrawLine X3, objPDF.PageHeight(1) - 40.0, X3, objPDF.PageHeight(1) - 40.0 - (CellHeight * N)
' Next draw N+1 horizontal lines for the rows
For i = 0 To N
  objPDF.DrawLine X1, objPDF.PageHeight(1) - 40.0 - (7.0 * i), X3, objPDF.PageHeight(1) - 40.0 - (CellHeight * i) 
Next 

objPDF.ApplyResource 1, GraphicBlock

' Locate each of the text blocks in the appropriate cell in the table
For i = 1 To N
  BlockNumber = objPDF.ApplyResource(1, (i * 2) - 1) 
  objPDF.Locate 1, BlockNumber, X1 + 5.0, objPDF.PageHeight(1) - 40.0 - CellHeight * (i - 1)
  BlockNumber = objPDF.ApplyResource(1, i * 2)
  objPDF.Locate 1, BlockNumber, X3 - 5.0, objPDF.PageHeight(1) - 40.0 - CellHeight * (i - 1)
Next

' Finally, add a comment at the top of the page
Comment = objPDF.CreateText
objPDF.TextFont = Font1
objPDF.TextSize = 12
objPDF.WriteText "This table was generated from a database using PDFBuilderASP."
CommentNumber = objPDF.ApplyResource(1, Comment)
objPDF.Locate 1, CommentNumber, 25.0, objPDF.PageHeight(1) - 25.0

' Create the PDF document and stream the data to the browser
objPDF.StreamInline = True
objPDF.StreamFileName = "DatabaseDemo.pdf"
objPDF.BinaryWrite

Set objPDF = Nothing

%>